﻿/* ==============
  My Styles
===================*/
.color-icon {
    color: #156a24 !important;
}

.background-color {
    background-color: #156a24 !important;
    /*#156a24 #097f69*/
    color: white !important;
}
/*hr {
    border: 2px solid #156a24 !important;
}*/

table {
    border: #156a24 1px solid !important;
}

th {
    text-align: center !important;
}

/*td {
    text-align: left !important;
}
*/
td.align-center {
    text-align: center;
}

td.align-right {
    text-align: right;
}

.card-color {
    border: 7px double #156a24 !important;
}

.text {
    padding: 5px;
}

.splashscreen {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: white;
}

    .splashscreen h1 {
        text-align: center;
        margin-top: 150px;
    }

h6 {
    font-weight: normal; /* Establece el peso de la fuente a normal */
}
/* ==============
  Loader Sección
===================*/
/* ID para el contenedor principal del preloader en una sección */
#preloader-seccion {
    display: none; /* Por defecto oculto */
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(65, 160, 44, 0.2);
    z-index: 9999999;
}

/* ID para el contenedor del icono de carga en una sección */
#status-seccion {
    width: 40px;
    height: 40px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -20px 0 0 -20px;
}
/* ==============
  Buttons
===================*/
.btn-link:hover {
    color: #156a24 !important;
}

/*.btn-secondary {
        max-width: 200% !important;*/ /* Limitar el ancho máximo del botón */
/*white-space: normal;*/ /* Permitir que el contenido fluya en varias líneas */
/*}*/

/* ==============
  Widgets
===================*/
.round {
    line-height: 60px;
    color: #156a24 !important;
    width: 60px;
    height: 60px;
    font-size: 26px;
    display: inline-block;
    font-weight: 400;
    border: 3px solid rgba(65, 160, 44, 0.2) !important;
    text-align: center;
    border-radius: 50%;
    background: rgba(234, 231, 4, 0.2) !important;
}

/* Notification */
#sidebar-menu > ul > li > a.active {
    color: #156a24 !important;
    background-color: rgba(65, 160, 44, 0.2) !important;
}

    #sidebar-menu > ul > li > a.active i {
        color: #156a24 !important;
    }

#sidebar-menu > ul > li > a:hover {
    color: #156a24 !important;
    text-decoration: none;
}

    #sidebar-menu > ul > li > a:hover i {
        color: #156a24 !important;
    }

#sidebar-menu ul ul li.active a {
    color: #156a24;
}

/*.alert {
    opacity: 0;*/ /* Configura la opacidad inicial en 0 */
/*transition: opacity 0.5s ease-in-out;*/ /* Aplica una transición gradual de la opacidad */
/*}*/

/* ==============
  Margen
===================*/

fieldset {
    border: 1px solid #ccc; /* Borde del fieldset con color gris claro */
    border-radius: 5px; /* Bordes redondeados del fieldset */
    padding: 10px; /* Espaciado interno del contenido del fieldset */
    margin-bottom: 20px; /* Margen inferior del fieldset */
}

/* Estilos CSS aplicados a legend dentro de fieldset */
legend {
    font-weight: bold; /* Texto de la leyenda en negrita */
    color: #333; /* Color del texto de la leyenda en gris oscuro */
    text-align: center;
}

/* ==============
  Bootstrap-custom
===================*/
/* Navs & Tabs */
.nav-pills .nav-item.show .nav-link, .nav-pills .nav-link.active {
    color: #156a24 !important;
    background-color: rgba(65, 160, 44, 0.2) !important;
}

.nav-pills .nav-item.show .nav-link, .nav-pills a:hover {
    color: #156a24 !important;
    text-decoration: none;
}

nav-pills .nav-item.show .nav-link, .nav-pills a {
    color: #212529;
    display: block;
    padding: 16px 25px;
    margin: 3px 0;
    background-color: #ffffff;
}



/* ==============
  Pagination
===================*/
.page-link {
    color: #156a24;
}

.page-item.active .page-link {
    background-color: #156a24;
    border-color: #156a24;
}

/*Centrar solo el contenido de la cuarta fila de la tabla:

table tr:nth-child(4) {
    text-align: center;
}

*/
